SystemOrganization addCategory: #'Rizel-Builder-Tests'!

TestCase subclass: #RzBuilderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Builder-Tests'!

!RzBuilderTest commentStamp: '<historical>' prior: 0!
A RzBuilderTest is a test class for testing the behavior of RzBuilder!

!RzBuilderTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 19:14'!
testCombinations
	|builder|
	builder := RzBuilder new.
	builder define:#input named:#numbers with: #(1 2 3).
	self assert: (builder combinations size = 3).
	builder define:#input named:#numbers2 with:#(4 5 6).
	self assert: (builder combinations size = 9).! !

!RzBuilderTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 20:50'!
testCombinations2
	""
	|builder combs|
	builder := RzBuilder new.
	builder define:#input named:#x with: #(1 2).
	builder define:#input named:#y with: #(3 4).
	
	combs := builder combinations.
	self assert: (combs first asArray = #(1 3)).
	self assert: (combs second asArray = #(1 4)).
	self assert: (combs third asArray = #(2 3)).
	self assert: (combs fourth asArray = #(2 4)).! !

!RzBuilderTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 20:50'!
testExecute
	|builder combs|
	builder := RzBuilder new.
	builder define:#input named:#x with: #(1 2).
	builder define:#input named:#y with: #(3 4).
	combs := OrderedCollection new.
	
	builder execute: [ :x :y | combs add: (OrderedCollection new add:x;add:y;yourself)].
	
	self assert: (combs first asArray = #(1 3)).
	self assert: (combs second asArray = #(1 4)).
	self assert: (combs third asArray = #(2 3)).
	self assert: (combs fourth asArray = #(2 4)).! !

!RzBuilderTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 20:43'!
testInputs
	|builder|
	builder := RzBuilder new.
	builder define:#input named:#a with: #(1 2 3).
	builder define:#input named:#b with:#(4 5 6).
	self assert: (builder inputs size = 2).! !

!RzBuilderTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 20:52'!
testInputsOf
	|builder|
	builder := RzBuilder new.
	builder define:#input named:#a with: #(1 2).
	builder define:#input named:#b with:#(4 5 6).
	self assert: ((builder inputsOf:#a) size = 2).
	self assert: ((builder inputsOf:#b) size = 3).! !

!RzBuilderTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 20:46'!
testNew
	|builder|
	builder := RzBuilder new.
	self assert: (builder notNil).
	self assert: (builder spyProfiler = RzProfilerSpy).! !

TestCase subclass: #RzInputTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Builder-Tests'!

!RzInputTest commentStamp: '<historical>' prior: 0!
A RzInputTest is a test class for testing the behavior of RzInput!

!RzInputTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 19:05'!
testNew
	|input|
	input := RzInput named: #version.
	self assert: (input name = #version).! !

!RzInputTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 19:05'!
testValues
	|input|
	input := RzInput named: #numbers.
	input addValue: 1.
	input addValue: 2.
	self assert: (input values size = 2).! !

TestCase subclass: #RzResultSetTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Builder-Tests'!

!RzResultSetTest commentStamp: '<historical>' prior: 0!
A RzResultSetTest is a test class for testing the behavior of RzResultSet!

!RzResultSetTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:56'!
testKeys
	|result keys|
	result := RzResultSet new.
	result key: 1 value: 20.
	result key: 2 value:30.
	keys := result keys.
	self assert: ( keys first = (RzVector <== 1)).
	self assert: ( keys second = (RzVector <== 2)).! !

!RzResultSetTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:42'!
testMax
	|result|
	result := RzResultSet new.
	result key: #(1) value: 20.
	result key: 2 value: 10.
	
	self assert: ( (result maxValue:[:value| value]) = 20).! !

!RzResultSetTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:50'!
testMin
	|result|
	result := RzResultSet new.
	result key: #(1) value: 20.
	result key: 2 value: 10.
	
	self assert: ( (result minValue:[:value| value]) = 10).! !

!RzResultSetTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:40'!
testSet
	|result|
	result := RzResultSet new.
	result key: #(1 2 3) value: 20.
	result key: (RzVector <== 1+2+3) value:30.
	
	self assert: ( (result at: #(1 2 3)) = 30).! !

!RzResultSetTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:55'!
testValues
	|result|
	result := RzResultSet new.
	result key: #(1 2 3) value: 20.
	result key: (RzVector <== 1+2+3) value:30.
	self assert: ( (RzVector values: (result values)) = (RzVector <== 20+30)).! !

TestCase subclass: #RzVectorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Builder-Tests'!

!RzVectorTest commentStamp: '<historical>' prior: 0!
A RzVectorTest is a test class for testing the behavior of RzVector!

!RzVectorTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:31'!
testBuilder
	""
	|vector|
	vector := RzVector <== 1.
	self assert: (vector size = 1).
	! !

!RzVectorTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:30'!
testEqual
	""
	|a b|
	a := RzVector <== 1+2+3+4.
	b := RzVector values: #(1 2 3 4).
	self assert: (a = b).
	! !

!RzVectorTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:31'!
testLess
	""
	|vector|
	vector := RzVector <== 1+2-3-2.
	self assert: (vector size = 1).
	! !

!RzVectorTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/5/2012 17:00'!
testLessSyntax
	""
	|vector|
	vector := RzVector <<<1><2><3><2.
	self assert: (vector size = 4).! !

!RzVectorTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:31'!
testPlus
	""
	|vector|
	vector := RzVector <== 1+2+3+4.
	self assert: (vector size = 4).
	! !

!RzVectorTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 18:30'!
testValues
	""
	|vector|
	vector := RzVector values: #(1 2 3 4).
	self assert: (vector size =4).
	! !
